import { DynamicNode } from '../components/types/DynamicNode';
export declare function getParentComp(parentField: any): "container" | "item";
/**
 * 从舞台删除组件
 * @param isEdit
 * @param formItem
 * @param parentField
 */
export declare function removeItem(isEdit: boolean, formItem: any, parentField: any): void;
/**
 * 上移组件
 * @param isEdit
 * @param formItem
 * @param parentField
 */
export declare function moveUpItem(isEdit: boolean, formItem: any, parentField: any): void;
export declare function moveDownItem(isEdit: boolean, formItem: any, parentField: any): void;
/**
 * 拷贝容器
 * @param parentComp
 * @param currentContainer
 * @param isCut
 */
export declare const copyContainer: (parentComp: any, currentContainer: any, isCut?: boolean) => void;
/**
 * 操作接口
 * @param act
 * @param item
 * @param parentItem
 */
export declare function contextOperation(act: string, item: any, parentItem: any): void;
export declare function cut(item: any, parentItem: any): void;
export declare function copy(item: any, parentItem: any): void;
export declare function paste(parentItem: any): void;
/**
 *
 * @param item
 * @param parentItem
 * @param flag scene 场景 container 容器 item 组件
 * @param recall
 */
export declare function dynamicFormContextMenuData(item: any, parentItem: any, flag?: string, recall?: Function): import('vue').Reactive<any[]>;
/**
 * 动态页面上下文菜单数据
 * @param node
 * @param recallFunction
 */
export declare function dynamicPageContextMenuData(node: DynamicNode, recallFunction: Function): any[];
